#pragma once

#include "AppState.h"
#include "events.h"

#include <SDL2/SDL.h>

#include <queue>

class View {
public:
  View(SDL_Renderer* renderer);
  virtual ~View();

  virtual void draw(const AppState& state) = 0;

protected:
  SDL_Renderer* renderer;
};